%bcond_without scl

%if %{with scl}
%global scl isc-bind
%endif

# Work around an SCL build issue on Fedora 33+
# (https://bugzilla.redhat.com/show_bug.cgi?id=1898587)
%if 0%{?fedora} >= 33
%global __python %{__python3}
%endif

%{?scl:%scl_package libuv}
%{!?scl:%global pkg_name %{name}}

# Run the tests by default
%bcond_without tests

Name:           %{?scl_prefix}libuv
Epoch:          1
Version:        1.44.2
Release:        3%{?dist}
Summary:        Platform layer for node.js

# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
URL:            https://libuv.org/
Source0:        https://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc
BuildRequires: make

%{?scl:BuildRequires: %{scl}-build}
%{?scl:Requires: %scl_runtime}

# Disable some tests that fail in the network-free Koji builders
Patch0001: 0001-Fedora-Skip-tests-that-can-t-run-in-Koji.patch

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all platform
differences in this library.

%package devel
Summary:        Development libraries for libuv
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description devel
Development libraries for libuv

%package static
Summary:        Platform layer for node.js - static library
Requires:       %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}

%description static
Static library (.a) version of libuv.


%prep
%autosetup -n %{pkg_name}-v%{version} -p1

%build
./autogen.sh
%configure --disable-silent-rules
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libuv.la

%check
%if %{with tests}
%make_build check
%endif

%ldconfig_scriptlets

%files
%doc README.md AUTHORS CONTRIBUTING.md MAINTAINERS.md SUPPORTED_PLATFORMS.md
%doc ChangeLog
%license LICENSE
%{_libdir}/%{pkg_name}.so.*

%files devel
%{_libdir}/%{pkg_name}.so
%{_libdir}/pkgconfig/%{pkg_name}.pc
%{_includedir}/uv.h
%{_includedir}/uv/

%files static
%{_libdir}/%{pkg_name}.a

%changelog
